package id

const System = "system"

type SystemId struct{}

var _ Descriptor = &SystemId{}

func (id *SystemId) New() Descriptor {
	return &SystemId{}
}

func (id *SystemId) Type() string   { return System }
func (id *SystemId) String() string { return string(Separator) + System }
func (id *SystemId) FromParts(parts []string) error {
	if len(parts) != 1 || parts[0] != System {
		return ErrInvalidID
	}
	return nil
}
func (id *SystemId) Map() map[string]any            { return map[string]any{"type": System} }
func (id *SystemId) FromMap(m map[string]any) error { return nil }
func (id *SystemId) Validate() error                { return nil }
func NewSystemId() *ObjectId                        { return &ObjectId{Descriptor: &SystemId{}} }
